{
  stdenv,
  versionCheckHook,
  lib,
}:
stdenv.mkDerivation rec {
  pname = "uv-bin";
  version = "0.5.5";

  src = fetchTarball {
    url = "https://github.com/astral-sh/uv/releases/download/${version}/uv-x86_64-unknown-linux-gnu.tar.gz";
    sha256 = "";
  };

  nativeCheckInputs = [
    versionCheckHook
  ];
  versionCheckProgramArg = [ "--version" ];

  meta = {
    description = "Extremely fast Python package installer and resolver, written in Rust";
    homepage = "https://github.com/astral-sh/uv";
    license = with lib.licenses; [
      asl20
      mit
    ];
  };
}
